import { ReactElement } from "react";

export function Pill({unread, muted, open, hover}: {unread: boolean, muted: boolean, open: boolean, hover: boolean}): ReactElement {
  return (
    <div className="pillWrapper">
      <div className={`pill${muted ? "" : open ? " open" : hover ? " hover" : unread ? " unread" : ""}`}></div>
    </div>
  )
}

export function Mentions({count}: {count: number}): ReactElement {
  return (
    <>
      {count !== 0 ?<div className="mentions">
        <div className="count">{count}</div>
      </div> : ""}
    </>
  )
}